<p id="intro">
    Na ovoj stranici proći ćemo kroz par demonstracija koje prikazuju ponašanje nekoliko vrsta sekvencijskih sklopova
    (bistabila). Definirat ćemo pojmove sinkronih i
    asinkronih sklopova te pojasniti značenje signala takta.
</p>

<h3><b>Primjer 1</b></h3>

<p>
    Sklop dan u nastavku demonstrira jedan od načina rada sekvencijskih sklopova. Sklop je identičan <b>sklopu 2</b> s
    prošle stranice.
    Njegovo ponašanje smo ispitali i ovdje ćemo kratko ponoviti što smo zaključili. <br>
    Primjerice, postavimo li u bilo kojem trenutku na ulaz <b>A</b> ovog sklopa vrijednost <b>1</b>, na izlazu će se (uz
    vrlo kratko kašnjenje) pojaviti odgovarajuća vrijednost (ako je trenutni izlaz bio <b>0</b>, otići će u <b>1</b> a
    ako je bio <b>1</b>, ostat će <b>1</b>).
    <br><br>


    Isprobajte: postavite na ulaz <b>A</b> vrijednost <b>1</b>: izlaz sklopa postat će <b>1</b>; postavite na ulaz
    <b>B</b> vrijednost <b>1</b>: izlaz sklopa će postati <b>0</b>.<br>

</p>

<p align="center">
    <canvas id="boxB1" width="400px" height="300px"></canvas>
</p>
<hr>

<h3><b>Primjer 2</b></h3>
<p>
    Kroz ovaj primjer upoznat ćemo se i s malo drugačijim sekvencijskim sklopom.
    Ovaj sklop specifičan je po tome što ima dodatni ulaz koji smo nazvali <b>CP</b> (ulaz za signal takta, engl. <i>Clock
    Pulse</i>). Isprobajmo prvo ponašanje ovakvog sklopa s dodatnim ulazom. <br><br>

    Postavite ulaz <b>A</b> ovog sklopa na <b>1</b> na isti način kako smo to radili u prethodnim simulacijama. Držimo
    li ulaz <b>A</b> u jedinici dovoljno dugo, sklop će u jednom trenutku promijeniti stanje, odnosno svoj izlaz.
    <br><br>

    Prikazan sklop svoje ulaze "sluša" samo dok je <b>CP</b> u logičkoj jedinici. Ako na ulaze dovedemo bilo kakvu
    pobudu tijekom vremena u kojem signal <b>CP</b> ima vrijednost 0, sklop će pobudu ignorirati i neće doći do promjene
    stanja koja bi se inače dogodila pod utjecajem narinute pobude. <br><br>
    Probajte promijeniti stanje ovog sklopa (bilo postavljanjem <b>A</b> u <b>1</b> dok je izlaz <b>0</b> ili <b>B</b> u
    <b>1</b> dok je izlaz <b>1</b>) kada <b>CP</b> nije aktivan odnosno kada je ulaz <b>CP</b> u logičkoj nuli. <br><br>

<p>
    Za sklop s ovakvim ponašanjem kažemo da sluša pobudu na ulazima samo dok je CP u <b>visokoj razini</b>.
</p>


<p align="center">
    <canvas id="boxB2" width="400px" height="300px"></canvas>
</p>
<p>
    Mogućnost definiranja vremenskog perioda tijekom kojeg sklop sluša svoju pobudu odnosno vremenskog perioda tijekom
    kojeg je zanemaruje čini važnu razliku između sklopa 1 i sklopa 2.
    <br>
</p>
<h3><b>Zaključak:</b></h3>
<p>
    Sklopovi koji imaju dodatni ulaz koji određuje u kojem trenutku sklop smije promijeniti svoje stanje sinkroni su
    sklopovi. Ako sklop nije sinkron onda je asinkron. <br><br>

    Sklop s <b>primjera 2</b> sinkroni je sklop jer ćemo mu stanje moći promijeniti tek kada je <b>CP</b> u visokoj
    razini odnosno logičkoj jedinici. Međutim sklop s <b>primjera 1</b> može mijenjati stanje bez obzira na <b>CP</b>,
    on takav dodatan ulaz niti nema, zato je sklop s <b>primjera 1</b> asinkron. <br><br>
    Dodatni ulaz <b>CP</b> uobičajeno zovemo signal takta, a ovdje smo ga nazvali <b>CP</b> kao skraćenica od engleskog
    "clock pulse".
</p>

<div class="mlNote">
    Sekvencijski sklop koji svoje ulaze sluša uvijek, bez obzira na signal takta (engl. <i>clock pulse</i> ili skraćeno
    <b>CP</b>) naziva se <b><i>asinkroni sekvencijski sklop</i></b>. <br>
    Sekvencijski sklop koji ima signal takta, te svoje ulaze sluša u određenom trenutku, naziva se <b><i>sinkroni
    sekvencijski sklop</i></b>.
</div> <br>

<hr>
<h3><b>Primjer 3</b></h3>

<p>
    Sada ćemo promotriti sekvencijski sklop koji se ponaša drugačije od oba prethodna sklopa. Možemo reći da je ovaj
    sklop sinkron jer ima dodatni ulaz <b>CP</b> odnosno ulaz za signal takta.
</p>

<p>
    Ispitajmo najprije ponašanje ovog sklopa. Stisnite na pločicu ulaza <b>A</b> i držite tipku miša dok ne vidite
    promjenu. Ovaj sinkroni sklop promijenit će stanje samo u trenutku kada signal takta odnosno ulaz <b>CP</b> prelazi
    iz vrijednosti <b>0</b> u <b>1</b>.<br><br>
    Isprobajte simulaciju s <b>primjera 3</b> tako da postavite ulaz <b>A</b> u jedinicu kada je <b>CP</b> aktivan
    odnosno u logičkoj jedinici ili kada je CP neaktivan odnosno u logičkoj nuli. Sklop zaista neće promijeniti stanje u
    tim trenutcima.<br><br>
    Za sklop s ovakvim ponašanjem kažemo da djeluje na <b>rastući brid</b> signala takta.

</p>

<p align="center">
    <canvas id="boxB3" width="400px" height="300px"></canvas>
</p>

<p>
    Na sljedećoj slici možemo vidjeti u kojem trenutku sklop s <b>primjera 3</b> smije promijeniti stanje.
</p>
<p align="center">
    <img src="@#file#(raisingEdge.svg)" alt="rastući brid CP-a">
</p>

<p>Osim na rastući brid signala takta sklopovi mogu djelovati i na padajući brid signala takta. Slijedi i slika za
    sinkrone sklopove koji djeluje na padajući brid signala takta.</p>
<p align="center">
    <img src="@#file#(fallingEdge.svg)" alt="padajući brid CP-a">
</p>
<p id="summary">
    Kroz ove simulacije upoznali smo se s 3 načina rada sekvencijskih sklopova. <br>
    Na sljedećoj stranici pogledat ćemo njihove simbole te samu podjelu bistabila.

    <br>

    <script>
        /*@#page-include#(library.js)*/
        /*@#page-include#(example2.js)*/
    </script>
